Remove the FreeBSD 10 hack
Needs RevisionPublic

Authored by bapt on Oct 2 2014, 12:11 PM.

Details

Reviewers
tijl
bdrewery
Group Reviewers
portmgr
Summary

The huge libtool work that have past should have fixed the situation
It might be interesting to get exp-run with that patch (on freebsd 10)
to see what happen

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
bapt retitled this revision from to Remove the FreeBSD 10 hack.Oct 2 2014, 12:11 PM
bapt updated this object.
bapt edited the test plan for this revision. (Show Details)
bapt added a reviewer: portmgr.
antoine added a reviewer: tijl.Oct 5 2014, 4:23 PM
antoine added a subscriber: antoine.

I will exp-run this after PR 194068 is committed.

tijl added a comment.Oct 5 2014, 4:36 PM

USES=libtool doesn't patch this and config.rpath is gettext related, so I don't think you can remove this yet. Maybe it's possible to move this to a USES=fbsd10fix.

bapt added a comment.Oct 6 2014, 9:08 AM

I want to first see how many things are inpacted now

tijl added a comment.Oct 6 2014, 7:27 PM

Some ports seem to have succeeded but the packages are missing some files, e.g. libiconv:
http://package18.nyi.freebsd.org/data/101amd64-default-D881/2014-10-06_09h37m45s/logs/libiconv-1.14_4.log

tijl added a comment.Oct 7 2014, 7:59 AM

Currently the message printed by the fix (===> FreeBSD 10 autotools fix applied to...) is always shown even if there are no changes to a file. If it were only shown if file and file.fbsd10bak are different (using "cmp -s"?) it would be easier to find out which ports still need it.

bdrewery requested changes to this revision.Oct 7 2014, 3:11 PM
bdrewery added a reviewer: bdrewery.
bdrewery added a subscriber: bdrewery.

Please include a CHANGES entry on how to fix ports that fail due to not having this. It is needed for vendors and people who maintain custom trees.

This revision now requires changes to proceed.Oct 7 2014, 3:11 PM